#banner {
    position: relative;
    width: 95vw;
    margin: 0 auto;
    top: 150px;
    left: 0;
    z-index: 990;
}

#banner .slick-slider {
    margin-bottom: 0;
}

#banner .main-slider .item {
    position: relative;
    overflow: hidden;
}

#banner .main-slider .item img.banner-img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
}

#banner .main-slider .item a {
    position: relative;
    width: 100%;
    height: calc(100vh - 4vh);
    background: transparent;
    display: block;
    z-index: 2;
}

#banner .main-slider .item .banner-txt {
    position: absolute;
    width: 400px;
    top: 47vh;
    left: calc((100% / 2) - 200px);
    z-index: 1;
}

#banner .main-slider .item video,
#banner .main-slider .item iframe {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
}

.banner-txt h2 {
    font-size: 42px;
    color: #fff;
    font-weight: bold;
    text-shadow: 0 0 10px rgb(0 0 0 / 0.5);
    text-align: center;
    transform: translateX(-30px);
    opacity: 0;
}

.banner-txt p {
    font-size: 18px;
    text-shadow: 0 0 10px rgb(0 0 0 / 0.5);
    color: #fff;
    text-align: center;
    transform: translateX(30px);
    transition-delay: .5s;
    opacity: 0;
}

.slick-current.slick-active .banner-txt h2,
.slick-current.slick-active .banner-txt p {
    transform: translateX(0);
    opacity: 1;
}

@media screen and (max-width:1280px) {
    #banner {
        top: 12vh;
    }

    #banner .main-slider .item a {
        height: calc(100vh - 2vh);
    }
}

@media screen and (max-width:680px) {
    #banner {
        width: 90vw;
    }

    #banner .main-slider .item .banner-txt {
        top: 50vh;
    }
}